Fonts not rendered in PDF in Servoy 8 server deployment
Description
Hi,

Starting from Servoy 8 my embedded fonts are not rendered in a PDF anymore on a server deployment. It is still working in a
developer environment, but not on a server. The fonts are placed in the velocityreport.reportfolder\\fonts folder and are placed in the
.servoy folder.

The output is created by: var vPdf =
plugins.VelocityReport.getPDFReport(_templateName,_contextObject, REPORT.RESOLUTION_HIGH);

Attached is a sample template using Tahoma.

The setup:

Server Information

Servoy version 8.1.3 -releaseNumber 3033

Port used by RMI Registry: 1099

Repository version 48

Current time: Tue Jun 27 10:13:35 CEST 2017

Uptime: 30 minutes 44 seconds

Server ID: 649D4C08-6875-4243-8030-15878E15D59E

Settings file for this server: E:NSTB\\Care_8_x\\application_server\\servoy.properties

JVM Information

java.vm.name=Java HotSpot(TM) 64-Bit Server VM
java.version=1.8.0_121

java.vm.info=mixed mode

java.vm.vendor=Oracle Corporation

Operating System Information
os.name=Windows Server 2008 R2
os.version=6.1

os.arch=amd64

History

#1 - 06/27/2017 11:23 AM - Patrick Talbot
- Status changed from New to Feedback

- Assignee set to Wouter Moerdijk

What version of Velocity is that?
What kind of client?
Is there anything in the servoy_log.txt?

Until | get to the bottom of this, as a workaround, have you tried installing the fonts on the server system?

#2 - 06/27/2017 11:52 AM - Wouter Moerdijk

| am using version 3.5.52
It is in webclient (not NG)
There is nothing in the servoy_log, .service_log or velocity_log
The fonts are installed separate on the server, but this has no effect

#3 - 06/27/2017 12:27 PM - Patrick Talbot

What do you mean by "The fonts are installed separate"???

Is the velocityreport.reportfolder servoy-admin property properly set to the reports folder (which contains the /fonts/ folder)?
Do you call plugins.VelocityReport.installFonts() before your call to getPDFReport()? (usually in solution onOpen handler)
#4 - 06/27/2017 12:33 PM - Wouter Moerdijk

- File 2017-06-27_1232.png added

Patrick Talbot wrote:

What do you mean by "The fonts are installed separate"???

As a workaround | tried installing the tahoma.ttf file directly on the server(see screenshot). It was already installed. The (re)install has no effect.
#5 - 06/27/2017 12:58 PM - Patrick Talbot
Is the velocityreport.reportfolder servoy-admin property properly set to the reports folder (which contains the /fonts/ folder)?
Do you call plugins.VelocityReport.installFonts() before your call to getPDFReport()? (usually in solution onOpen handler)
Sorry for all the questions but | need to make sure.
#6 - 06/27/2017 01:28 PM - Wouter Moerdijk
Patrick Talbot wrote:
Is the velocityreport.reportfolder servoy-admin property properly set to the reports folder (which contains the /fonts/ folder)?
Do you call plugins.VelocityReport.installFonts() before your call to getPDFReport()? (usually in solution onOpen handler)
Sorry for all the questions but | need to make sure.
The is velocityreport.reportfolder is set to: E:\STB\Care_8_x\\application_server\\server\\webapps\\ROOT\\velocity-reports\\reports\\ it contains a
folder called fonts with the ttf files.
The exact same code is run on the same server with Servoy 6.1.6 (different port obviously). The installFonts is called in an onOpen handler like:
if (plugins.VelocityReport) {
plugins.VelocityReport.installFonts();
}
In the 6.1.6. version it renders the font in 8.1.3 it does not.
| do not see any other difference.
#7 - 06/27/2017 10:51 PM - Patrick Talbot

- Status changed from Feedback to New

- Assignee changed from Wouter Moerdijk to Patrick Talbot

Alright, I'll take a look asap (could be in a few days though)

#8 - 08/17/2017 03:19 PM - Wouter Moerdijk

Any update for this issue? Where you able to reproduce it?

#9 - 09/21/2017 10:27 PM - Wouter Moerdijk
Hi Patrick,

| hope you can find some time to look at this. | did find something new with this issue. It seems to be related to JAVA 8. The fonts are rendered using
Java 1.7.0_76 but not using Java 1.8.0.131

Hope this helps.

#10 - 02/28/2019 10:01 PM - Patrick Talbot

- Status changed from New to Parked
Files

sample.html 918 Bytes 06/27/2017 Wouter Moerdijk
2017-06-27_1232.png 41.6 KB 06/27/2017 Wouter Moerdijk
